# Maven Gradle Repo Guide

- Apache Maven (pom.xml)
```xml

<repositories>
    <repository>
        <id>CUBETIQ Directory</id>
        <url>https://m.ctdn.net</url>
        <snapshots>
            <enabled>false</enabled>
        </snapshots>
    </repository>

    <repository>
        <id>CUBETIQ Directory Snapshots</id>
        <url>https://m.ctdn.net/snapshots</url>
        <snapshots>
            <enabled>true</enabled>
        </snapshots>
    </repository>
</repositories>

```

- Gradle Groovy DSL (build.gradle)
```groovy
repositories {
    maven { url "https://m.ctdn.net" }
    maven { url "https://m.ctdn.net/snapshots" }
}
```

- Gradle Kotlin DSL (build.gradle.kts)
```kotlin
repositories {
    maven("https://m.ctdn.net")
    maven("https://m.ctdn.net/snapshots")
}
 ```